# dll.mak - Release 0.1.0  Compile the bthash library
# Copyright (C) 2003  dondalah@ripco.com (Dondalah)
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to:
# 
# 	Free Software Foundation, Inc.
# 	59 Temple Place - Suite 330
#     Boston, MA  02111-1307, USA.

OBJ=BTCLOSE.OBJ \
    BTCLOSET.OBJ \
    BTDBCK.OBJ \
    BTDBSZ.OBJ \
    BTDEPTH.OBJ \
    BTDLET.OBJ \
    BTDLETS.OBJ \
    BTFLUSTK.OBJ \
    BTGET.OBJ \
    BTGETBLK.OBJ \
    BTGETNXT.OBJ \
    BTGETP.OBJ \
    BTGETPRV.OBJ \
    BTHXDMP.OBJ \
    BTHXMEM.OBJ \
    BTINIT.OBJ \
    BTISRT.OBJ \
    BTNEWBLK.OBJ \
    BTOPEN.OBJ \
    BTOPENT.OBJ \
    BTOPTIM.OBJ \
    BTPOP.OBJ \
    BTPUSH.OBJ \
    BTPUTBLK.OBJ \
    BTPUTHX.OBJ \
    BTREORG.OBJ \
    BTREVERS.OBJ \
    BTSEEK.OBJ \
    BTSHWSTK.OBJ \
    BTSPLIT.OBJ \
    BTSPLTRT.OBJ \
    BTSTKDP.OBJ \
    BTSTKINI.OBJ \
    BTSWEEP.OBJ \
    BTTRAVGT.OBJ \
    BTTRAVRS.OBJ \
    BTTRAVSK.OBJ \
    BTUPDT.OBJ \
    GETMD5.OBJ \
    HASH.OBJ \
    HCHAIN.OBJ \
    HCLOSE.OBJ \
    HCLOSET.OBJ \
    HDBCK.OBJ \
    HDLET.OBJ \
    HGET.OBJ \
    HGETBLK.OBJ \
    HGETPTR.OBJ \
    HHXDMP.OBJ \
    HHXMEM.OBJ \
    HINIT.OBJ \
    HISRT.OBJ \
    HNEWBLK.OBJ \
    HOPEN.OBJ \
    HOPENT.OBJ \
    HPRIME.OBJ \
    HPUTBLK.OBJ \
    HPUTHX.OBJ \
    HPUTPTR.OBJ \
    HREORG.OBJ \
    HSEEK.OBJ \
    HSIZE.OBJ \
    HSWEEP.OBJ \
    HUPDT.OBJ \
    MD5C.OBJ \
    RND.OBJ \
    RNDINIT.OBJ \
    RNDNUM.OBJ \
    RNDPWR.OBJ

INCLUDE=$(INCLUDE);..\INCLUDE

ALL:                $(OBJ) BTHASH.DLL

BTHASH.DLL:          $(OBJ)
   $(LINKER) @BTHLIB.TXT

BTCLOSE.OBJ:        BTCLOSE.C
    $(CC) $(CFLAGS) BTCLOSE.C

BTCLOSET.OBJ:       BTCLOSET.C
    $(CC) $(CFLAGS) BTCLOSET.C

BTDBCK.OBJ:         BTDBCK.C
    $(CC) $(CFLAGS) BTDBCK.C

BTDBSZ.OBJ:         BTDBSZ.C
    $(CC) $(CFLAGS) BTDBSZ.C

BTDEPTH.OBJ:        BTDEPTH.C
    $(CC) $(CFLAGS) BTDEPTH.C

BTDLET.OBJ:         BTDLET.C
    $(CC) $(CFLAGS) BTDLET.C

BTDLETS.OBJ:        BTDLETS.C
    $(CC) $(CFLAGS) BTDLETS.C

BTFLUSTK.OBJ:       BTFLUSTK.C
    $(CC) $(CFLAGS) BTFLUSTK.C

BTGET.OBJ:          BTGET.C
    $(CC) $(CFLAGS) BTGET.C

BTGETBLK.OBJ:       BTGETBLK.C
    $(CC) $(CFLAGS) BTGETBLK.C

BTGETNXT.OBJ:       BTGETNXT.C
    $(CC) $(CFLAGS) BTGETNXT.C

BTGETP.OBJ:         BTGETP.C
    $(CC) $(CFLAGS) BTGETP.C

BTGETPRV.OBJ:       BTGETPRV.C
    $(CC) $(CFLAGS) BTGETPRV.C

BTHXDMP.OBJ:        BTHXDMP.C
    $(CC) $(CFLAGS) BTHXDMP.C

BTHXMEM.OBJ:        BTHXMEM.C
    $(CC) $(CFLAGS) BTHXMEM.C

BTINIT.OBJ:         BTINIT.C
    $(CC) $(CFLAGS) BTINIT.C

BTISRT.OBJ:         BTISRT.C
    $(CC) $(CFLAGS) BTISRT.C

BTNEWBLK.OBJ:       BTNEWBLK.C
    $(CC) $(CFLAGS) BTNEWBLK.C

BTOPEN.OBJ:         BTOPEN.C
    $(CC) $(CFLAGS) BTOPEN.C

BTOPENT.OBJ:        BTOPENT.C
    $(CC) $(CFLAGS) BTOPENT.C

BTOPTIM.OBJ:        BTOPTIM.C
    $(CC) $(CFLAGS) BTOPTIM.C

BTPOP.OBJ:          BTPOP.C
    $(CC) $(CFLAGS) BTPOP.C

BTPUSH.OBJ:         BTPUSH.C
    $(CC) $(CFLAGS) BTPUSH.C

BTPUTBLK.OBJ:       BTPUTBLK.C
    $(CC) $(CFLAGS) BTPUTBLK.C

BTPUTHX.OBJ:        BTPUTHX.C
    $(CC) $(CFLAGS) BTPUTHX.C

BTREORG.OBJ:        BTREORG.C
    $(CC) $(CFLAGS) BTREORG.C

BTREVERS.OBJ:       BTREVERS.C
    $(CC) $(CFLAGS) BTREVERS.C

BTSEEK.OBJ:         BTSEEK.C
    $(CC) $(CFLAGS) BTSEEK.C

BTSHWSTK.OBJ:       BTSHWSTK.C
    $(CC) $(CFLAGS) BTSHWSTK.C

BTSPLIT.OBJ:        BTSPLIT.C
    $(CC) $(CFLAGS) BTSPLIT.C

BTSPLTRT.OBJ:       BTSPLTRT.C
    $(CC) $(CFLAGS) BTSPLTRT.C

BTSTKDP.OBJ:        BTSTKDP.C
    $(CC) $(CFLAGS) BTSTKDP.C

BTSTKINI.OBJ:       BTSTKINI.C
    $(CC) $(CFLAGS) BTSTKINI.C

BTSWEEP.OBJ:        BTSWEEP.C
    $(CC) $(CFLAGS) BTSWEEP.C

BTTRAVRS.OBJ:       BTTRAVRS.C
    $(CC) $(CFLAGS) BTTRAVRS.C

BTTRAVGT.OBJ:       BTTRAVGT.C
    $(CC) $(CFLAGS) BTTRAVGT.C

BTTRAVSK.OBJ:       BTTRAVSK.C
    $(CC) $(CFLAGS) BTTRAVSK.C

BTUPDT.OBJ:         BTUPDT.C
    $(CC) $(CFLAGS) BTUPDT.C

GETMD5.OBJ:         GETMD5.C
    $(CC) $(CFLAGS) GETMD5.C

HASH.OBJ:           HASH.C
    $(CC) $(CFLAGS) HASH.C

HCHAIN.OBJ:         HCHAIN.C
    $(CC) $(CFLAGS) HCHAIN.C

HCLOSE.OBJ:         HCLOSE.C
    $(CC) $(CFLAGS) HCLOSE.C

HCLOSET.OBJ:        HCLOSET.C
    $(CC) $(CFLAGS) HCLOSET.C

HDBCK.OBJ:          HDBCK.C
    $(CC) $(CFLAGS) HDBCK.C

HDLET.OBJ:          HDLET.C
    $(CC) $(CFLAGS) HDLET.C

HGET.OBJ:           HGET.C
    $(CC) $(CFLAGS) HGET.C

HGETBLK.OBJ:        HGETBLK.C
    $(CC) $(CFLAGS) HGETBLK.C

HGETPTR.OBJ:        HGETPTR.C
    $(CC) $(CFLAGS) HGETPTR.C

HHXDMP.OBJ:         HHXDMP.C
    $(CC) $(CFLAGS) HHXDMP.C

HHXMEM.OBJ:         HHXMEM.C
    $(CC) $(CFLAGS) HHXMEM.C

HINIT.OBJ:          HINIT.C
    $(CC) $(CFLAGS) HINIT.C

HISRT.OBJ:          HISRT.C
    $(CC) $(CFLAGS) HISRT.C

HNEWBLK.OBJ:        HNEWBLK.C
    $(CC) $(CFLAGS) HNEWBLK.C

HOPEN.OBJ:          HOPEN.C
    $(CC) $(CFLAGS) HOPEN.C

HOPENT.OBJ:         HOPENT.C
    $(CC) $(CFLAGS) HOPENT.C

HPRIME.OBJ:         HPRIME.C
    $(CC) $(CFLAGS) HPRIME.C

HPUTBLK.OBJ:        HPUTBLK.C
    $(CC) $(CFLAGS) HPUTBLK.C

HPUTHX.OBJ:         HPUTHX.C
    $(CC) $(CFLAGS) HPUTHX.C

HPUTPTR.OBJ:        HPUTPTR.C
    $(CC) $(CFLAGS) HPUTPTR.C

HREORG.OBJ:         HREORG.C
    $(CC) $(CFLAGS) HREORG.C

HSEEK.OBJ:          HSEEK.C
    $(CC) $(CFLAGS) HSEEK.C

HSIZE.OBJ:          HSIZE.C
    $(CC) $(CFLAGS) HSIZE.C

HSWEEP.OBJ:         HSWEEP.C
    $(CC) $(CFLAGS) HSWEEP.C

HUPDT.OBJ:          HUPDT.C
    $(CC) $(CFLAGS) HUPDT.C

MD5C.OBJ:           MD5C.C
    $(CC) $(CFLAGS) MD5C.C

RND.OBJ:            RND.C
    $(CC) $(CFLAGS) RND.C

RNDINIT.OBJ:        RNDINIT.C
    $(CC) $(CFLAGS) RNDINIT.C

RNDNUM.OBJ:         RNDNUM.C
    $(CC) $(CFLAGS) RNDNUM.C

RNDPWR.OBJ:         RNDPWR.C
    $(CC) $(CFLAGS) RNDPWR.C

CLEAN:
        ERASE *.OBJ
        ERASE BTHASH.DLL
        ERASE BTHASH.EXP
        ERASE BTHASH.LIB
        ERASE ERR
